package pipe.gui;
import javax.swing.AbstractAction;
import javax.swing.*;
import javax.swing.JInternalFrame;
import java.awt.*;
import java.awt.event.*;

import pipe.dataLayer.*;


/**
 * Action object that can be used to add a rate to a transition.
 */
public class EditRateAction extends AbstractAction {

  private Container contentPane;
  private Transition selected;
  private CreateGui theApp;


  public EditRateAction(Container contentPane, Component component,CreateGui app) {
    this.contentPane = contentPane;
    selected = (Transition)component;

  }

  /** Actions deleting the component */
  public void actionPerformed(ActionEvent e) {

    int currentRate = selected.getRate();
    String input = JOptionPane.showInputDialog("Rate:", String.valueOf(currentRate));

    try {
      int newRate = Integer.parseInt(input);
      if (newRate < 0)
        JOptionPane.showMessageDialog(contentPane,"Please enter an integer.");
      else
        selected.setRate(newRate);

    } catch (Exception exc) {
      if (input != null)
        JOptionPane.showMessageDialog(contentPane,"Please enter an integer.","Invalid entry",JOptionPane.ERROR_MESSAGE);
      System.out.println(exc.toString());
    }


  }

}
